package com.yihu.hos.rest.common.configuration;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @created Airhead 2016/8/4.
 */
@Configuration
public class CrawlerConfiguration {
    @Value("${crawler.upload.ip}")
    private String uploadIp;
    @Value("${crawler.upload.port}")
    private String uploadPort;
    @Value("${crawler.upload.api}")
    private String uploadApi;
    @Value("${crawler.storage.ip}")
    private String storageIp;
    @Value("${crawler.storage.port}")
    private String storagePort;
    @Value("${crawler.storage.api}")
    private String storageApi;

    public String getUploadIp() {
        return uploadIp;
    }

    public void setUploadIp(String uploadIp) {
        this.uploadIp = uploadIp;
    }

    public String getUploadPort() {
        return uploadPort;
    }

    public void setUploadPort(String uploadPort) {
        this.uploadPort = uploadPort;
    }

    public String getUploadApi() {
        return uploadApi;
    }

    public void setUploadApi(String uploadApi) {
        this.uploadApi = uploadApi;
    }

    public String getStorageIp() {
        return storageIp;
    }

    public void setStorageIp(String storageIp) {
        this.storageIp = storageIp;
    }

    public String getStoragePort() {
        return storagePort;
    }

    public void setStoragePort(String storagePort) {
        this.storagePort = storagePort;
    }

    public String getStorageApi() {
        return storageApi;
    }

    public void setStorageApi(String storageApi) {
        this.storageApi = storageApi;
    }
}
